#region  == Copyright == 
// =====================================================================
//  Microsoft Consulting Services France - Aymeric Mouill - 2013
//  Projet     : TFS WorkItemTracker - TFS WorkItemTracker
//  Fichier    : ChangeSetLine.cs (01/05/2013 18:40)
//  
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// =====================================================================
#endregion

namespace TFS.WorkItemTracker
{
    #region  == Using == 
    using System;

    #endregion

    public class ChangeSetLine
    {
        #region Id
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The id.
        /// </value>
        public int Id { get; set; }
        #endregion

        #region Owner
        /// <summary>
        /// Gets or sets the owner.
        /// </summary>
        /// <value>
        /// The owner.
        /// </value>
        public String Owner { get; set; }
        #endregion

        #region Date
        /// <summary>
        /// Gets or sets the date.
        /// </summary>
        /// <value>
        /// The date.
        /// </value>
        public String Date { get; set; }
        #endregion

        #region Associated Work Items
        /// <summary>
        /// Gets or sets the associated WorkItems.
        /// </summary>
        /// <value>
        /// The associated WorkItems.
        /// </value>
        public String AssociatedWorkItems { get; set; }
        #endregion

        #region Override
        /// <summary>
        /// Gets or sets the override.
        /// </summary>
        /// <value>
        /// The override.
        /// </value>
        public String Override { get; set; }
        #endregion

        #region Comment
        /// <summary>
        /// Gets or sets the comment.
        /// </summary>
        /// <value>
        /// The comment.
        /// </value>
        public String Comment { get; set; }
        #endregion
    }
}
