#region  == Copyright == 
// =====================================================================
//  Microsoft Consulting Services France - Aymeric Mouill - 2013
//  Projet     : TFS WorkItemTracker - TFS WorkItemTracker
//  Fichier    : WorkItemLine.cs (01/05/2013 18:40)
//  
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// =====================================================================
#endregion

namespace TFS.WorkItemTracker
{
    #region  == Using == 
    using System;

    #endregion

    public class WorkItemLine
    {
        #region Id
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The id.
        /// </value>
        public int Id { get; set; }
        #endregion

        #region Title
        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>
        /// The title.
        /// </value>
        public String Title { get; set; }
        #endregion

        #region Area
        /// <summary>
        /// Gets or sets the area.
        /// </summary>
        /// <value>
        /// The area.
        /// </value>
        public String Area { get; set; }
        #endregion

        #region Iteration
        /// <summary>
        /// Gets or sets the iteration.
        /// </summary>
        /// <value>
        /// The iteration.
        /// </value>
        public String Iteration { get; set; }
        #endregion

        #region Associated Change Sets
        /// <summary>
        /// Gets or sets the associated change sets.
        /// </summary>
        /// <value>
        /// The associated change sets.
        /// </value>
        public String AssociatedChangeSets { get; set; }
        #endregion

        #region Changed
        /// <summary>
        /// Gets or sets the changed.
        /// </summary>
        /// <value>
        /// The changed.
        /// </value>
        public DateTime Changed { get; set; }
        #endregion

        #region Created
        /// <summary>
        /// Gets or sets the created.
        /// </summary>
        /// <value>
        /// The created.
        /// </value>
        public DateTime Created { get; set; }
        #endregion

        #region Original Estimate
        /// <summary>
        /// Gets or sets the original estimate.
        /// </summary>
        /// <value>
        /// The original estimate.
        /// </value>
        public float OriginalEstimate { get; set; }
        #endregion

        #region Remaining Work
        /// <summary>
        /// Gets or sets the remaining work.
        /// </summary>
        /// <value>
        /// The remaining work.
        /// </value>
        public float RemainingWork { get; set; }
        #endregion

        #region Completed Work
        /// <summary>
        /// Gets or sets the completed work.
        /// </summary>
        /// <value>
        /// The completed work.
        /// </value>
        public float CompletedWork { get; set; }
        #endregion
    }
}
