#region  == Copyright == 
// =====================================================================
//  Microsoft Consulting Services France - Aymeric Mouill - 2013
//  Projet     : TFS WorkItemTracker - TFS WorkItemTracker
//  Fichier    : Program.cs (01/05/2013 18:40)
//  
//  Copyright (C) Microsoft Corporation.  All rights reserved.
// =====================================================================
#endregion

namespace TFS.WorkItemTracker
{
    #region  == Using == 
    using System;
    using System.Windows.Forms;

    using Microsoft.VisualBasic.ApplicationServices;

    #endregion

    internal static class Program
    {
        #region Main
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        private static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            new MyApp().Run(args);
        }
        #endregion
    }

    public class MyApp : WindowsFormsApplicationBase
    {
        #region On Create Splash Screen
        /// <summary>
        /// When overridden in a derived class, allows a designer to emit code that initializes the splash screen.
        /// </summary>
        protected override void OnCreateSplashScreen()
        {
            SplashScreen = new SplashForm();
        }
        #endregion

        #region On Create Main Form
        /// <summary>
        /// When overridden in a derived class, allows a designer to emit code that configures the splash screen and main form.
        /// </summary>
        protected override void OnCreateMainForm()
        {
            // Wait 
            System.Threading.Thread.Sleep(5000);

            // Then create the main form, the splash screen will automatically close
            MainForm = new MainForm();
        }
        #endregion
    }
}
